Package com.pixelmed.convert

## Class TIFFPixelMessageDigest

- java.lang.Object
- - com.pixelmed.convert.TIFFPixelMessageDigest

-     public class TIFFPixelMessageDigest
      extends java.lang.Object

  A class for computing message digests of pixel data, decompressed if compressed, from TIFF files.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIFFPixelMessageDigest​(java.lang.String inputFileName)` | Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TIFFPixelMessageDigest

          public TIFFPixelMessageDigest​(java.lang.String inputFileName)
                                 throws java.io.IOException,
                                        TIFFException,
                                        java.lang.NumberFormatException

      Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

      Parameters:
        `inputFileName` -
      Throws:
        `java.io.IOException`
        `TIFFException`
        `java.lang.NumberFormatException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

      Parameters:
        `arg` - one parameter, the TIFF inputFile